package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

public class AirRuleInputDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -8465178506238659916L;
	
	private Long id;
	private String ruleName;//'规则名称',
	
	private Integer    priceType;//单价类型(1-平米每小时、2-层（半层）每小时)
	
	private BigDecimal  priceHouse;//单价(户
	private BigDecimal  priceHour;//单价(小时
	
	private BigDecimal floorPriceHour;//每层多少钱/每小时
	private BigDecimal halfFloorPriceHour;//每半层多少钱/每小时
	
	private Integer dataType;///日期类型(0工作日\1休息日2节假日
	
	@DateTimeFormat(pattern="HH:mm") 
	private Date startTime;		//开始时间
	 
	@DateTimeFormat(pattern="HH:mm") 
	private Date endTime;		//结束时间	
	
	//private Integer applicationType;//应用模块(1预定会议室\2空调加时
	private Integer applicationMeeting;//应用模块(预定会议室\0 1
	private Integer applicationAirAddTime;//应用模块(空调加时 0 1
	private String remark;//备注
	public String getRuleName() {
		return ruleName;
	}
	
	
	public void setRuleName(String ruleName) {
		this.ruleName = ruleName;
	}
	public BigDecimal getPriceHouse() {
		return priceHouse;
	}
	public void setPriceHouse(BigDecimal priceHouse) {
		this.priceHouse = priceHouse;
	}
	public BigDecimal getPriceHour() {
		return priceHour;
	}
	public void setPriceHour(BigDecimal priceHour) {
		this.priceHour = priceHour;
	}
	public Integer getDataType() {
		return dataType;
	}
	public void setDataType(Integer dataType) {
		this.dataType = dataType;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	/*public Integer getApplicationType() {
		return applicationType;
	}
	public void setApplicationType(Integer applicationType) {
		this.applicationType = applicationType;
	}*/
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}


	public Integer getApplicationMeeting() {
		return applicationMeeting;
	}


	public void setApplicationMeeting(Integer applicationMeeting) {
		this.applicationMeeting = applicationMeeting;
	}


	public Integer getApplicationAirAddTime() {
		return applicationAirAddTime;
	}


	public void setApplicationAirAddTime(Integer applicationAirAddTime) {
		this.applicationAirAddTime = applicationAirAddTime;
	}


	public BigDecimal getFloorPriceHour() {
		return floorPriceHour;
	}


	public void setFloorPriceHour(BigDecimal floorPriceHour) {
		this.floorPriceHour = floorPriceHour;
	}


	public BigDecimal getHalfFloorPriceHour() {
		return halfFloorPriceHour;
	}


	public void setHalfFloorPriceHour(BigDecimal halfFloorPriceHour) {
		this.halfFloorPriceHour = halfFloorPriceHour;
	}


	public Integer getPriceType() {
		return priceType;
	}


	public void setPriceType(Integer priceType) {
		this.priceType = priceType;
	}	
	
	
	
}
